<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script src="./jq.js"></script>
</head>
<body>
    <ul>
        <li>aa</li>
        <li>bb</li>
        <li>cc</li>
        <li>dd</li>
        <li>ee</li>
    </ul>
    <script>
        var tag = document.querySelectorAll('li')
        console.log(tag);
        for (let i = 0; i < tag.length; i++) {
            setTimeout(function() {
                
            }, 3000)
            // (function(i) {
            //     tag[i].onclick = function() {
            //         const is = i
            //         setTimeout(function() {
            //             // console.log(this)
            //             console.log(this[is].innerHTML);
            //         }.bind(this), 3000)
            //     }
            // })(i)
        }
    </script>
</body>
</html>